<?php
session_start();
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
include("phpmnu_fun.php");
//
if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
//
$IdUsu=$_SESSION['SYS_USER_ID'];
include("deos_compras_bx.php");
$AT=gs("at","usuarios","id_usuario=$IdUsu");
?>
<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Compras - Buscar</title>
<!----------------------------------------->
<?php AddJs(); ?>
<script type="text/javascript" src="ja/funciones.js"></script>

<!----------------------------------------->
<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />
<link rel="stylesheet" type="text/css" href="css/mnu.css"  />
<!----------------------------------------->
<style type="text/css">
.cF {height:600px;width:1250px;position:relative;top:0px}
.mM {height:34px;width:1250px;position:relative;top:0px;background-color:#09C; z-index:500;}

</style>

<!----------------------------------------->
<script>
$(document).ready(function(){  
   Inicializar();
   jF("CboAlm");
});

function fGenPDF(){
	var CboAlm=document.getElementById("CboAlm").value;
	if(CboAlm=="TODOS"){
		alert("Seleccione un Almacen");
		document.getElementById("CboAlm").focus();
		return;
	}	
	document.getElementById("TxtAc").value="GEN_PDF";
	document.getElementById("Frm").submit();
}

$(document).keydown(function(e){
	var AT=gv("TxtAT");

	if(e.which==66 && e.altKey){
		if(AT=="1"){	
		document.getElementById("CmdB").click();
		return;
		}
	}

	if(e.which==86 && e.altKey){
		if(AT=="1"){
		document.getElementById("CmdZ").click();
		return;
		}
	}
  
});
</script>

<!----------------------------------------->
<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<!----------------------------------------->
<body  <?php echo $LStrMsg;?>  >
<div align="center">

<div class="mM" align="left" style="font-size:12px">
<?php
//$HTM=file_get_contents("http://inversionessounduniversal.com/ventas/phpmnu.php?USER_ID=$IdUsu");
echo GEN_MENU(vbval(V($_SESSION['SYS_USER_ID'])));
?>
</div>

<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;" >
<form id="Frm" name="Frm" method="post" action="compras_buscar.php"  autocomplete="off"
style="margin:0px; padding:0px; display:inline;" onSubmit="return false;">

<!----------------------------------------->
<div id="DivT" class="dT"  style="width:1250px;">
<img src="b.png" class="iT" />
<div class="tT">COMPRAS - BUSCAR</div>
</div>

<!----------------------------------------->

<div class="s1" style="left: 35px; top: 121px; width: 102px;">
ALMACEN</div>
<select name="CboAlm" id="CboAlm" 
class="lt" style="left: 35px; top: 138px; width: 177px" 
tabindex="<?php echo ++$TI;?>">
<?php 
	if($IdUsu>=1  && V($_SESSION['SYS_USER_ALM'])!="%"){
		echo ListALM($StrAlm); 
	}else{
    	echo FCBO("alm_nombre","almacenes","id_almacen>0",$StrAlm,"S","N");
    }
?>
</select>

<div class="s1" style="left: 224px; top: 121px; width: 102px;">
COMPROBANTE</div>
<select name="CboCom" id="CboCom"
class="lt" style="left: 224px; top: 138px; width: 150px;"
tabindex="<?php echo ++$TI;?>">
<?php 
	echo FCBO("com_nombre",
			 "comprobantes",
			 "id_comprobante>0  AND com_nombre IN ('FACTURA','BOLETA','NOTA DE VENTA','GUIA','OTROS')",$StrCom,"S","N");?>
</select>
  
<div class="s1" style="left: 384px; top: 121px; width: 102px;">
SERIE-NUMERO</div>
<input name="TxtNum"  type="text" id="TxtNum"
class="lt" style="left: 384px; top: 138px; width: 124px;" 
value="<?php echo $StrNum;?>" 
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 518px; top: 121px; width: 45px;">
DESDE</div>
<input name="TxtDex"  type="text" id="TxtDex"
class="fe" style="left: 518px; top: 138px; width:80px;" 
value="<?php echo $StrDex;?>" 
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 606px; top: 121px; width: 60px;">
HASTA</div>
<input name="TxtHax"  type="text" id="TxtHax"
class="fe" style="left: 607px; top: 138px; width:80px;" 
value="<?php echo $StrHax;?>" 
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 697px; top: 121px; width: 123px;">
PROVEEDOR</div>
<input name="TxtPro"  type="text" id="TxtPro"
class="lt" style="left: 697px; top: 138px; width: 361px;" 
value="<?php echo $StrPro;?>" 
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 1066px; top: 121px; width: 75px;">
ANULADO</div>
<select name="CboSN" id="CboSN"
class="lt" style="left: 1067px; top: 138px; width: 73px;"
tabindex="<?php echo ++$TI;?>">
<?php
if($StrSN=="" || $StrSN=="NO"){
	AD("NO",1);	AD("SI",0);
}else{
	AD("NO",0);	AD("SI",1);
}
?>
</select>

<!----------------------------------------->
<div id="DivBtn" align="left" style="position:absolute; left: 33px; top: 71px; width: 551px; height: 26px;">
<input name="CmdB" type="button" id="CmdB" class="btm"
value="Buscar" onClick="fFiltrar();"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdB" type="button" id="CmdZ" class="btm"
value="Volver" onClick="fBuscar('compras.php?TxtAc=X');"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="Generar PDF" onClick="fGenPDF();" style="display:none"
tabindex="<?php echo ++$TI;?>" />
</div>
    
<!----------------------------------------->
<div class="datagrid" style="position: absolute; left: 35px; top: 165px; width: 1180px; height: 409px; overflow: auto">
<table id="Exportar_a_Excel" width="75%">
<thead>
<tr>
<td colspan="6" align="center"><?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?></td>
</tr>

<tr>
<th width="239" style="text-align:left; background:#999">ALMACEN</th>
<th width="142" style="text-align:left; background:#999">COMPROBANTE</th>
<th width="83"  style="text-align:left; background:#999">NUMERO</th>
<th width="104"  style="text-align:left; background:#999">FECHA</th>
<th width="464" style="text-align:left; background:#999">PROVEEDOR</th>
<th width="118" style="text-align:right; background:#999">TOTAL</th>
</tr>
</thead>
<tbody>
<?php  		
	
$s="SELECT ID,ALM,COM,NUM,DATE_FORMAT(FEC,'%d-%m-%y'),PROV,TOT
	FROM vcompras 
	WHERE $FF 
	ORDER BY ALM,COM,NUM,FEC,PROV ";
				
	$result = grs($s);				
	while ($row = $result->fetch_row()){
	?>	
	<tr onDblClick="location.href='compras.php?Id=<?php echo $row[0];?>&Pag=0'">
	<!----------------------------------------------->
	<td><?php echo $row[1];?></td>  
    <td><?php echo $row[2];?></td>
    <td><a target="_blank" href="compras.php?Id=<?php echo $row[0];?>">'<?php echo $row[3];?></a></td>
    <td style="text-align:left"><?php echo $row[4];?></td> 
    <td><?php echo $row[5];?></td> 
    <td style="text-align:right"><?php echo NF2($row[6],1);?></td>
	<!----------------------------------------------->
	</tr>
	<?php
	$ST=$ST+$row[6];	
	}
?>  
<tr>
<td colspan="5" bgcolor="#999999" style="text-align:right"><span class="Estilo4"><b>TOTAL</b></span></td>
<td width="118" bgcolor="#999999" style="text-align:right"><span class="Estilo4"><b><?php echo NF2($ST,1);?></b></span></td>
</tr>
       
</tbody>
</table>
</div>

<!----------------------------------------->
<?php include("ocultos.php");?>

<div class="s1" style="left: 33px; top: 579px; width: 426px;">
Doble Click sobre el registro para activar Actualizacion</div>

</form>


<form action="ficheroExcel.php" 
    method="post" target="_blank" id="FormularioExportacion" >
    
    <div style="position: absolute; left: 313px; top: 71px; width: 45px; height: 15px;">  
    <input name="" type="button" class="botonExcel btm" value="Exportar"  />
    <input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
    </div>
</form>

<?php
if($StrCmd=="GEN_PDF"){
	$_PDF=GEN_PDF($FF,$StrAlm,$StrCom,$StrNum,$StrDex,$StrHax,$StrPro,$StrSN);
	$StrDESCARGAR=$_PDF;
}

function GEN_PDF($FF,$StrAlm,$StrCom,$StrNum,$StrDex,$StrHax,$StrPro,$StrSN){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"COMPRAS",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------

if(strlen($StrAlm)>0){
$_ENC=vbl("ALMACEN".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAlm.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrCom)>0){
$_ENC=vbl("COMPROBANTE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrCom.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrNum)>0){
$_ENC=vbl("NUMERO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrNum.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDex)>0){
$_ENC=vbl("DESDE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDex.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrHax)>0){
$_ENC=vbl("HASTA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrHax.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrPro)>0){
$_ENC=vbl("PROVEEDOR".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrPro.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrSN)>0){
$_ENC=vbl("ANULADO S/N".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrSN.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}
$pdf->Cell(0,4,"",0,1);	

//------------------------------------------
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);
$StrT1=15;	$_ENC=vbl("ALMLMACEN".vbfill(" ",$StrT1),$StrT1);
$StrT2=11;	$_ENC=$_ENC." ".vbl("COMPROBANTE".vbfill(" ",$StrT2),$StrT2);
$StrT3=11;	$_ENC=$_ENC." ".vbl("NUMERO".vbfill(" ",$StrT3),$StrT3);
$StrT4=10;	$_ENC=$_ENC." ".vbl("FECHA".vbfill(" ",$StrT4),$StrT4);
$StrT5=30;	$_ENC=$_ENC." ".vbl("PROVEEDOR".vbfill(" ",$StrT5),$StrT5);
$StrT6=8;	$_ENC=$_ENC." ".vbr(vbfill(" ",$StrT6)."TOTAL",$StrT6);
//
$pdf->Cell(0,4,$_ENC,0,1);	
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
//
$s="SELECT ID,ALM,COM,NUM,DATE_FORMAT(FEC,'%d-%m-%y'),PROV,TOT
	FROM vcompras WHERE $FF ORDER BY ALM,COM,NUM,FEC,PROV ";

$result = grs($s);
while ($row = $result->fetch_row()){
	$_ENC=vbl($row[1].vbfill(" ",$StrT1),$StrT1);
	$_ENC=$_ENC." ".vbl($row[2].vbfill(" ",$StrT2),$StrT2);
	$_ENC=$_ENC." ".vbl($row[3].vbfill(" ",$StrT3),$StrT3);
	$_ENC=$_ENC." ".vbl($row[4].vbfill(" ",$StrT4),$StrT4);
	$_ENC=$_ENC." ".vbl($row[5].vbfill(" ",$StrT5),$StrT5);
	$_ENC=$_ENC." ".vbr(vbfill(" ",$StrT6).NF2($row[6],1),$StrT6);
	$pdf->Cell(0,4,$_ENC,0,1);	
	$TOT=$TOT+$row[6];
}
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	

$_TI=vbr(vbfill(" ",75)."TOTAL :",75);
$_TD=vbr(vbfill(" ",14).NF2($TOT,1),14);
$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	

$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="Compras.pdf";
$pdf->Output($PDF_NAME);
return $PDF_NAME;
}
?>

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 223px; top: 102px; 
	  width: 88px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>
</div>
</div>
</body>
</html>
